Bug 1668012 - Flicker Free Boot
Summary: Flicker Free Boot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 17:10 UTC by Ben Cotton
Modified: 2019-04-30 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:49:33 UTC


Attachments (Terms of Use)

Description Ben Cotton 2019-01-21 17:10:45 UTC
This is a tracking bug for Change: Flicker Free Boot
For more details, see: https://fedoraproject.org/wiki/Changes/FlickerFreeBoot

Make Fedora Workstation boot graphically smooth, without the display briefly turning off and without any abrupt graphical transitions.

Comment 1 Hans de Goede 2019-02-13 16:56:47 UTC
The changes for enabling i915.fastboot by default have been in rawhide for a while now.

I've just build plymouth-0.9.4-3.fc30 and fedora-logos-30.0.0-4.fc30 which together implement the plymouth changes from this change. Both should be in tomorrows 
rawhide, making this change fully testable starting with tomorrows rawhide, changing status to modified.

Comment 2 taaem 2019-03-01 19:12:56 UTC
I tested this according to the blog post on Fedora 29 and unfortunately the background still uses the fallback grey one on my Lenovo Thinkpad X1. Afaiu it should be all black.
Also my screen is a HiDPI screen and the lock icon and the fedora logo are blurred, because their upscaled I think.

Comment 3 Hans de Goede 2019-03-03 15:43:31 UTC
(In reply to taaem from comment #2)
> I tested this according to the blog post on Fedora 29 and unfortunately the
> background still uses the fallback grey one on my Lenovo Thinkpad X1. Afaiu
> it should be all black.

I'm working on a FAQ for flickerfree boot, I believe that question 1 of the
(not yet published) FAQ covers this:

  1) I get a black screen after the firmware-splash and a grey-background
     instead of the firmware splash while Fedora is booting ?
   1a) Do "ls /sys/firmware/efi/efivars" if you get a
       "No such file or directory" error then your system is booting in classic
       BIOS mode instead of UEFI mode, to fix this you need to re-install and
       boot the livecd/installer in UEFI mode when installing. Alternatively
       you can try to convert your existing install, see:
       https://oded.blog/2017/11/13/fedora-bios-to-uefi/
       Note this is quite tricky, make backups first!
   1b) Do "ls /sys/firmware/acpi/bgrt" if you get a "No such file or directory"
       error then your system is likely using the classic VGA BIOS during boot
       despite running in UEFI mode. Often you can select BIOS mode compatility
       in your BIOS settings aka the CSM setting. If you can select this on a
       per component level, set the VIDEO/VGA option to "UEFI only" or
       "UEFI first", alternatively you can try completely disabling the CSM mode
       If you do have a /sys/firmware/acpi/bgrt directory, but you are still
       getting the Fedora logo + spinner on a grey background instead of on
       top of the firmware-splash, please file a bug about this and drop
       me a mail with a link to the bug.

> Also my screen is a HiDPI screen and the lock icon and the fedora logo are
> blurred, because their upscaled I think.

Yes, these come from png-s and are only available in the 1x size, so we upscale them. Fixing this would start with adding support to plymouth for first trying to load images with a scale-factor added to their name (and then the design theme needs to provide higher res images). I don't see myself having time for adding this anytime soon. Still can you file a bug here: https://gitlab.freedesktop.org/plymouth/plymouth/issues/ for tracking adding support for higher res images for hidpi screens please?

Note if you look closely you will also see a small darkline between the lock icon and the password-entry field on hidpi screens. I have a fix for this upstream and the next F30 version of the plymouth packages will include the fix for this darkline.

Comment 4 taaem 2019-03-03 16:09:01 UTC
Thanks!
I needed to switch to UEFI only and disable CSM mode and then it worked perfectly, this looks really nice, great work!

I will report the HiDPI stuff upstream.

Comment 5 Ondrej Holy 2019-03-04 12:32:08 UTC
Not sure that this is the right place to report, but I also followed instructions on https://hansdegoede.livejournal.com/20324.html and I just see some grey textual theme with up-to-date Fedora 29 on my Lenovo T480s. I have "UEFI Only" and "CSM Support: NO" in my BIOS settings. "ls /sys/firmware/efi/efivars" and "ls /sys/firmware/acpi/bgrt" work. Any idea what is wrong?

Comment 6 Hans de Goede 2019-03-04 13:38:56 UTC
(In reply to Ondrej Holy from comment #5)
> Not sure that this is the right place to report, but I also followed
> instructions on https://hansdegoede.livejournal.com/20324.html and I just
> see some grey textual theme with up-to-date Fedora 29 on my Lenovo T480s. I
> have "UEFI Only" and "CSM Support: NO" in my BIOS settings. "ls
> /sys/firmware/efi/efivars" and "ls /sys/firmware/acpi/bgrt" work. Any idea
> what is wrong?

Did you do this step:

sudo dnf install plymouth-theme-spinner

And did you do it *before* running:

sudo plymouth-set-default-theme -R bgrt

?

Comment 7 Ondrej Holy 2019-03-04 15:03:03 UTC
Hmm, I did it. However, I've tried `sudo plymouth-set-default-theme -R bgrt` again and works nicely now, so I don't know why it did not work before. Sorry for the bothering.

Comment 8 Ben Cotton 2019-03-05 21:49:53 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.

Comment 9 Hans de Goede 2019-03-06 08:44:52 UTC
Everything for this change is in place, changing status to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.